input_grab_device
Prev | Chapter 28. Input Subsystem | Next

## Name

input_grab_device — grabs device for exclusive use

## Synopsis

`int input_grab_device (` | struct input_handle * | handle`)`;

## Arguments

`handle`

  input handle that wants to own the device

## Description

When a device is grabbed by an input handle all events generated by the device are delivered only to this handle. Also events injected by other input handles are ignored while device is grabbed.

Prev | Up | Next
input_inject_event | Home | input_release_device